View Issue Details

IDProjectCategoryView StatusLast Update
0036584FPCCompilerpublic2020-09-05 03:46
ReporterRyan Joseph Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0036584: Generic constraints should not be allowed in definitions (Delphi mode)
DescriptionThe test program should produce an error but currently does not.
Steps To Reproduce{$mode delphi}
program test;

type
 TFooA = class
 end;

type
 TFooB = class
 end;

type
 TList<T: TFooA> = class
   procedure Foo;
 end;

procedure TList<T: TFooB>.Foo;
begin
end;

begin
end.
TagsNo tags attached.
Fixed in Revision44174
FPCOldBugId
FPCTarget-
Attached Files

Activities

Florian

2020-02-14 22:01

administrator   ~0121100

While I fixed it please note: mode delphi does not mean that fpc complains about code delphi complains but it means fpc compiles code which delphi compiles.

Issue History

Date Modified Username Field Change
2020-01-15 06:44 Ryan Joseph New Issue
2020-02-14 22:01 Florian Assigned To => Florian
2020-02-14 22:01 Florian Status new => resolved
2020-02-14 22:01 Florian Resolution open => fixed
2020-02-14 22:01 Florian Fixed in Version => 3.3.1
2020-02-14 22:01 Florian Fixed in Revision => 44174
2020-02-14 22:01 Florian FPCTarget => -
2020-02-14 22:01 Florian Note Added: 0121100
2020-09-05 03:46 Ryan Joseph Status resolved => closed